"""Type hint classes for the returned data for the post calls."""
from __future__ import annotations

from typing import TYPE_CHECKING

from typing_extensions import TypedDict, Literal

if TYPE_CHECKING:
    from overcooked_simulator.game_server import PlayerRequestType


class PlayerInfo(TypedDict):
    client_id: str
    player_hash: str
    player_id: str


class CreateEnvResult(TypedDict):
    env_id: str
    player_info: dict[str, PlayerInfo]


class PlayerRequestResult(TypedDict):
    request_type: PlayerRequestType | None
    status: Literal[200] | Literal[400]
    msg: str
    player_hash: str | None
